zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tamaashu <...@git.apache.org>
Subject [GitHub] zookeeper pull request #389: ZOOKEEPER-2887: define dependency versions in b...
Date Tue, 03 Oct 2017 20:51:20 GMT
GitHub user tamaashu opened a pull request:

    https://github.com/apache/zookeeper/pull/389

    ZOOKEEPER-2887: define dependency versions in build.xml to be easily …

    …overridden in build.properties
    
    Backported to branch 3.4.
    If the dependency versions are defined in build.xml they can be easily
    overridden by re-defining them in build.properties
    This process can be useful to avoid classpath clashes among different
    Hadoop components
    
    Author: Tamas Penzes <tamaas@cloudera.com>
    Author: Tamás Pénzes <penzes.tamas@gmail.com>
    
    Reviewers: Patrick Hunt <phunt@apache.org>, Michael Han <hanm@apache.org>
    
    Closes #357 from tamaashu/ZOOKEEPER-2887 and squashes the following commits:
    
    5e2f43fb [Tamás Pénzes] Merge branch 'master' into ZOOKEEPER-2887
    65558c09 [Tamas Penzes] ZOOKEEPER-2887: define dependency versions in build.xml to be
easily overridden in build.properties
    6cf315fd [Tamas Penzes] ZOOKEEPER-2887: define dependency versions in build.xml to be
easily overridden in build.properties
    
    Change-Id: Ic19d67cc68ed4595ae0636d8200287400e98e2a1
    
    # Conflicts:
    #	ivy.xml

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/tamaashu/zookeeper ZOOKEEPER-2887-3.4

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/zookeeper/pull/389.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #389
    
----

----


---

Mime
View raw message